Create one or more consent configurations
1 min
POST
https://api.upstartcommerce.com/v1/customer/consent/configurations
Header Parameters
- x-upstart-tenantstringrequiredDescription
Body Parameters
- bodyConsentCategoryConfigurationRequestrequiredDescription
- settingsConsentSettings[]requiredDescription
- categoryIdstringrequiredDescription
- enabledbooleanrequired
- siteIdsstring[]
Responses
201
- ConsentCategoryConfigurationResponseDescription
- tenantstringrequiredDescription
- siteIdsstring[]Description
- settingsConsentSettings[]requiredDescription
- categoryIdstringrequiredDescription
- enabledbooleanrequired
- auditAuditrequiredDescription
- byIdstring
- bystringrequired
- byAnonymousbooleanrequired
- atstring<date-time>requiredFormatdate-time
- traceIdstringrequired
- serviceNamestringrequired
- serviceVersionstringrequired
- byDomainstring
- bySubjectTypestring
400
- ValidationErrorResponse[]Description
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
401
- UnauthorizedErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
403
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
404
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
405
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
409
- ConflictErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
- conflictsConflictDetail[]requiredDescription
- indexintegerrequiredDescription
- idstringrequiredDescription
- existingResourcestringrequiredDescription
423
- ValidationErrorResponse[]Description
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
500
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request POST \
--url https://api.upstartcommerce.com/v1/customer/consent/configurations \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"settings": [
{
"categoryId": "",
"enabled": ""
}
]
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var raw = JSON.stringify({
"settings": [
{
"categoryId": "",
"enabled": ""
}
]
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/customer/consent/configurations", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/customer/consent/configurations")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
request.body = JSON.dump({
"settings": [
{
"categoryId": "",
"enabled": ""
}
]
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/customer/consent/configurations"
payload = json.dumps({
"settings": [
{
"categoryId": "",
"enabled": ""
}
]
})
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
201
// Custom Consent Categories Updated Successfully
{
"tenant": "",
"siteIds": [
""
],
"settings": [
{
"categoryId": "",
"enabled": false
}
],
"audit": {
"byId": "",
"by": "",
"byAnonymous": false,
"at": "",
"traceId": "",
"serviceName": "",
"serviceVersion": "",
"byDomain": "",
"bySubjectType": ""
}
}400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
[
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}
]401
// The provided credentials were not valid for this endpoint.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}403
// User's roles are insufficient for this endpoint.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}404
// The requested resource was not found in the NoChannel system.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}405
// This is to indicate that the server has received a request with an HTTP method that is not supported for the requested resource.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}409
// This response indicates that the server cannot process the request due to a conflict with the current state of the resource. This typically occurs when a request attempts to create or modify a resource that already exists or conflicts with another resource.
{
"name": "",
"code": "",
"detail": "",
"reason": "",
"conflicts": [
{
"index": 0,
"id": "",
"existingResource": ""
}
]
}423
// Consent Management is disabled or locked for the tenant, so consent operations are not allowed.
[
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}
]500
// There was an internal server error.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}